PCAP::Bam::Coverage(3)

PCAP::Bam::Coverage
Class to generate read depth information for targeted regions of a genome.

  METHODS

new Constructs the coverage object. Expects a hash of the following form for instantiation:

     {'xam' => $bam_cram_filename,
      'target' => $bed_gff3_filename,
      'type' => $type_as_string }

    Where 'type' can be 'bed' or 'gff3'

target_types
    Returns a list of valid types.

build_depth
    Calculates the depth over each of the targets

build_final_bins
    Condenses the per target data into fraction of targets covered at various depths

parse_targets_file
    Abstracts reading of specific target file formats

parse_bed
    Parses BED target file and returns coordinates in appropriate coorinate type for Bio::DB::HTS->features.

parse_gff
    Parses GFF3 target file and returns coordinates in appropriate coorinate type for Bio::DB::HTS->features.